Bug 1433481 - need mechanism to clear repository upstream username and password
Summary: need mechanism to clear repository upstream username and password
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Repositories
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: Unspecified
Assignee: Partha Aji
QA Contact: Justin Sherrill
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-17 18:13 UTC by Tom McKay
Modified: 2021-07-21 14:49 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:51:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 16824 0 None None None 2017-03-17 18:13:13 UTC

Description Tom McKay 2017-03-17 18:13:10 UTC
The UI doesn't actually clear a username or password on a repo once set. The API/UI needs to allow the clearing of these fields.

Comment 1 Tom McKay 2017-03-17 18:13:15 UTC
Created from redmine issue http://projects.theforeman.org/issues/16824

Comment 2 Tom McKay 2017-03-17 18:13:19 UTC
Upstream bug assigned to paji@redhat.com

Comment 4 Satellite Program 2017-04-06 06:08:09 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/16824 has been resolved.

Comment 5 Justin Sherrill 2017-08-02 20:24:32 UTC
Verified on 6.3.0 snap 9

could clear the password via an x icon and set the username to ""

Comment 6 Satellite Program 2018-02-21 16:51:07 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.